Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Interface IItemList

All Known Subinterfaces:
  IAddressEntryList, IAppointmentList, ICmForumCategoryList, ICmForumList, ICmTopicList, IContactList, IMailMessageList, ITaskList

    public interface IItemList

Represents a paginated slice of items from the backend store. This list is obtained by calling `IContainer.getItems(QueryProfile, int, int)` or `IContainer.getItems(IProgress, boolean, QueryProfile, int, int)`.

Method Summary
`int` | `getItemCount()` Returns the count of items in this list
`IItem[]` | `getItems()` Get the items that are on this page.
`int` | `getItemStartIndex()` Gets the zero based start index of the items in the list as offset from the total number of items in the list.
`int` | `getPage()` Gets the page number for this list of items.
`int` | `getPageCount()` Gets the total count of pages.
`int` | `getTotalItemCount()` Gets the total number of items available.
`boolean` | `isFirstPage()` Gets if this item list is the first page.
`boolean` | `isLastPage()` Gets if this item list is the last page.

Method Detail

### isFirstPage

    boolean isFirstPage()

  Gets if this item list is the first page.

  Returns
    `true` if this item list contains items on the first page

### isLastPage

    boolean isLastPage()

  Gets if this item list is the last page.

  Returns
    `true` if this item list contains items on the last page

### getTotalItemCount

    int getTotalItemCount()

  Gets the total number of items available.

  Returns
    the total number of items available in the container where the call was made to obtain this item list

### getItemCount

    int getItemCount()

  Returns the count of items in this list

  Returns
    the number of items in the item list

### getPageCount

    int getPageCount()

  Gets the total count of pages.

  Returns
    the total number of pages available in the container where the call was made to obtain this item list

### getItems

    IItem[] getItems()

  Get the items that are on this page.

  Returns
    the item array (not `null`)

### getPage

    int getPage()

  Gets the page number for this list of items.

  Returns
    the page number of the items in the list

### getItemStartIndex

    int getItemStartIndex()

  Gets the zero based start index of the items in the list as offset from the total number of items in the list.

  Returns
    the start index

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved